import { __awaiter, __decorate } from "tslib";
import { PendingState } from '@genesislcap/foundation-utils';
import { FASTElement, customElement, observable } from '@microsoft/fast-element';
import * as Components from '../components';
import { logger } from '../utils';
import { MainStyles as styles } from './main.styles';
import { MainTemplate as template } from './main.template';
const name = 'foundation-progress-overlay';
let MainApplication = class MainApplication extends PendingState(FASTElement) {
    connectedCallback() {
        super.connectedCallback();
        logger.debug(`${name} is now connected to the DOM`);
        this.loadRemotes();
    }
    loadRemotes() {
        return __awaiter(this, void 0, void 0, function* () {
            const remoteComponents = yield Components.loadRemotes({});
        });
    }
    providerChanged() {
        /**
         * Configure foundation ui design system provider if needed
         */
    }
};
__decorate([
    observable
], MainApplication.prototype, "provider", void 0);
MainApplication = __decorate([
    customElement({
        name,
        template,
        styles,
    })
], MainApplication);
export { MainApplication };
